Page MenuHomePhabricator

Upgrade git > 1.7
Closed, DeclinedPublic

Description

Git 1.7.9 has an annoying bug in that it uses absolute paths when initializing submodules. In the best case, this breaks git within the submodule when the full checkout is transferred to another host. In the worst case, it leads to incorrect git behavior within the submodule.

This affects parsoid round-trip testing. We currently use rsync to distribute the code from the central checkout, which provokes this issue. Clients are checking the git revision of the submodule and exit if it has changed. They also report the revision to the round-trip test server. In the worst case this means that test results are attributed to the wrong revision.

This was fixed in git 1.7.10, March 2012:

http://thread.gmane.org/gmane.comp.version-control.git/192173


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz62519

Related Objects

StatusAssignedTask
Declinedhashar
DeclinedNone
ResolvedKrinkle
Resolvedfgiunchedi
Resolvedakosiaris
Resolvedhashar
Resolvedakosiaris
ResolvedAndrew
ResolvedJoe
Resolvedtstarling
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedDzahn
ResolvedJoe
Duplicatefgiunchedi
Resolvedbrion
Resolvedbrion
Resolvedbd808
ResolvedJoe
DeclinedArielGlenn
ResolvedArielGlenn
Resolvedori
DeclinedNone
ResolvedMoritzMuehlenhoff

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:59 AM
bzimport added a project: Gerrit.
bzimport set Reference to bz62519.
bzimport added a subscriber: Unknown Object (MLST).
demon added a comment.Mar 11 2014, 2:37 AM

This would mean backporting the git package from a newer Ubuntu release, that's up to ops :)

If the only complaint is submodule init I don't think it's worth it IMHO.

14.04 has 1.9

demon removed a subscriber: demon.Dec 8 2014, 6:25 PM

Should this be closed since Wikimedia uses gerrit and gitblit now. and soon to be phabricator.

Krinkle added a subscriber: Krinkle.Jun 2 2015, 2:14 PM

Should this be closed since Wikimedia uses gerrit and gitblit now. and soon to be phabricator.

That is irrelevant.

This task is about use of the Git client between servers. Gerrit and Phabricator provide Git repositories with source code, they are not clients, and they do not actually run the source code. The source code is deployed from Gerrit to actual application servers. This task about using Git and rsync to pull data from Gerrit and deploy it to the application servers.

Oh ok. Should this be updated to talk about 2.x since 1.7 is really old if you still want to use the 1.x series why not 1.8.x or 1.9.x

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 8:02 PM

Please see the previous comments: T64519#664761

hashar closed this task as Declined.Sep 10 2015, 9:40 AM
hashar claimed this task.
hashar added a subscriber: hashar.

We are not going to backport a more recent version of git to Precise.

Other distributions have more recent versions and we are migrating to them:

 DistroVersion
Trustygit 1.9.1
Jessiegit 2.1.4
hashar triaged this task as Low priority.Sep 10 2015, 9:40 AM
hashar set Security to None.